$(function() {
	// 单选理赔人员
	$(".p").click(function() {
		$(this).find("span").each(function() {
			if($(this).is(".sliding_icon9")){
			}else if($(this).is(".sliding_icon10")){
			}else if($(this).is(".rwc_list_100")){
			}else if ($(this).is(".sliding_b_cur")){
					$(this).removeClass("sliding_b_cur");
				}else{
					$(".sliding_b_cur").removeClass("sliding_b_cur");
					$(this).addClass("sliding_b_cur");
			}
		});

	});
});




function serachStaff() {
	$("#formId").submit();
}

function saveReAuditTask(){
	var params={};
	var empNo = $(".sliding_b_cur").attr("empNo");
	var empName = $(".sliding_b_cur").attr("empName");
	if(empNo == undefined || empNo==""){
		alert("请选择核赔员！");
		return;
	}
	params['claim']=$("#claim").val();
	params['empNo']=empNo;
	$.ajax({
		type: "post", //以post方式与后台沟通 
		url : "updateReAuditStaff.do", //与此php页面沟通 
		data: params,
		dataType:'json',
		success:function(data){
			var returnCode= data.returnCode;
			if(returnCode =="1"){
				var claimNo = '';
				var size = '';
				
				if($("#claim").val().indexOf("_")==-1){
					var st = $("#claim").val().split("/");
					size = 1;
					claimNo += st[0] +'、';
					
				}else{
					var str = $("#claim").val().split("_");
					size = str.length;
					for(var i =0;i<size;i++){
						var st = str[i].split("/");
						claimNo += st[0] +'、';
					}
				}
				alert("给"+empName+"（核赔员姓名）核赔员分配了"+claimNo.substring(0,claimNo.length-1)+"（赔案号）"+size+"个案件！"); 
				SkipByPost("reAuditTask.do",{});
			}else if(returnCode =="2"){
				alert(data.result);
			}else{
				alert("分配失败，请联系开发人员进行协助解决，谢谢");
			}
			
			
		},error:function(data){
			alert("分配失败，请联系开发人员进行协助解决");
			SkipByPost("reAuditTask.do",{});
		}
		
		
	});
	
}

function setSortValue(sortValue){
	$("#sortValue").val(sortValue);
	$("#formSortId").submit();
}

function goAuditTask(){
	window.location.href="auditTask.do";
}